Create product
curl --request POST \
--url https://app.alana.shopping/api/workspace/{workspaceId}/catalog/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"price": 1,
"catalog_id": "<string>",
"description": "<string>",
"brand": "<string>",
"category_path": [
"<string>"
],
"original_price": 1,
"currency": "USD",
"primary_image_url": "<string>",
"sku": "<string>",
"gtin": "<string>",
"availability": "in_stock",
"attributes": {}
}
'import requests
url = "https://app.alana.shopping/api/workspace/{workspaceId}/catalog/products"
payload = {
"title": "<string>",
"price": 1,
"catalog_id": "<string>",
"description": "<string>",
"brand": "<string>",
"category_path": ["<string>"],
"original_price": 1,
"currency": "USD",
"primary_image_url": "<string>",
"sku": "<string>",
"gtin": "<string>",
"availability": "in_stock",
"attributes": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
price: 1,
catalog_id: '<string>',
description: '<string>',
brand: '<string>',
category_path: ['<string>'],
original_price: 1,
currency: 'USD',
primary_image_url: '<string>',
sku: '<string>',
gtin: '<string>',
availability: 'in_stock',
attributes: {}
})
};
fetch('https://app.alana.shopping/api/workspace/{workspaceId}/catalog/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"product": {
"id": "<string>",
"workspaceId": "<string>",
"title": "<string>",
"price": 123,
"currency": "<string>",
"availability": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"catalogId": "<string>",
"description": "<string>",
"brand": "<string>",
"categoryPath": [
"<string>"
],
"originalPrice": 123,
"primaryImageUrl": "<string>",
"sku": "<string>",
"gtin": "<string>",
"attributes": {},
"optimizationScore": 50,
"feedReady": true,
"createdBy": "<string>"
}
}{
"error": "INVALID_REQUEST",
"details": {
"field": "email",
"message": "Invalid email format"
}
}{
"error": "UNAUTHORIZED",
"details": {
"message": "Missing or invalid authentication token"
}
}{
"error": "FORBIDDEN",
"details": {
"message": "User does not have permission to access this resource"
}
}{
"error": "INTERNAL_SERVER_ERROR",
"details": {
"message": "An unexpected error occurred"
}
}Criar Produto
POST
/
api
/
workspace
/
{workspaceId}
/
catalog
/
products
Create product
Autorizações
Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>
Parâmetros de caminho
The workspace ID
Pattern:
^ws_[a-z0-9]+$Corpo
application/json
Required string length:
1 - 500Intervalo obrigatório:
x >= 0Maximum string length:
5000Intervalo obrigatório:
x >= 0Resposta
Product created successfully
Show child attributes
Show child attributes
Última modificação em 16 de fevereiro de 2026
⌘I